Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class ClassMetaClassGetPropertySite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.ClassMetaClassGetPropertySite

    class ClassMetaClassGetPropertySite
    extends AbstractCallSite

Field Summary
`MetaClass` | `metaClass`

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`ClassMetaClassGetPropertySite(CallSite parent, Class aClass)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`Object` | `getProperty(Object receiver)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### metaClass

    final MetaClass metaClass

Constructor Detail

### ClassMetaClassGetPropertySite

    public ClassMetaClassGetPropertySite(CallSite parent, Class aClass)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

### getProperty

    public final Object getProperty(Object receiver)

Copyright © 2003-2009 The Codehaus. All rights reserved.